OS2World OLD-STATIC-BACKUP Forum

WebSite Information => Article Discussions => Topic started by: CDRWSel on 2012.02.18, 09:48:15

Title: Flash Plugin Wrapper for eComStation Beta 1 available
Post by: CDRWSel on 2012.02.18, 09:48:15
http://www.os2world.com/content/view/21476/2/ (http://www.os2world.com/content/view/21476/2/)
Quote
Posted by Martin Iturbide - Thursday, 16 February 2012


Mensys. .. .

I'm in SMP mode.
Video start to play but after 10 to 25 seconds, it stops to play due video stream isn't downloaded.
In fact, the network connection is lost and REBOOT is required !

Trying setup under a prompt os/2 window, show that only local host ip@ is available.
This problem occurs each time.

It looks like the flash works ok for video less than 10seconds play time.
Any suggestion to correct this .

Note: Tried the tcpip32.dll safe but it gives the same result.
Cheers/2
 
Title: Re: Flash Plugin Wrapper for eComStation Beta 1 available
Post by: Pete on 2012.02.18, 20:20:37
Hi

Sounds like the problem(s) with SMP have not been resolved yet... - saves me the hassle of installing and trying this build of flash I guess  :-)

You could try setting the browser as MPUNSAFE using markexe.exe (from the os/2 toolkit) and see if that helps.


Regards

Pete
Title: Re: Flash Plugin Wrapper for eComStation Beta 1 available
Post by: Sassy on 2012.02.19, 04:03:25
According about:plugins (Firefox 10 for OS/2)

Shockwave Flash

File: npflos2.dll
Version: 0.3.1.0
Shockwave Flash 11.1 r102

I require Flash11.1  to upgrade :'(

http://ameblo.jp/ecomstation/entry-11167902956.html
Title: Re: Flash Plugin Wrapper for eComStation Beta 1 available
Post by: dryeo on 2012.02.19, 08:07:06
http://www.os2world.com/content/view/21476/2/ (http://www.os2world.com/content/view/21476/2/)
Quote
Posted by Martin Iturbide - Thursday, 16 February 2012


Mensys. .. .

I'm in SMP mode.
Video start to play but after 10 to 25 seconds, it stops to play due video stream isn't downloaded.
In fact, the network connection is lost and REBOOT is required !

Trying setup under a prompt os/2 window, show that only local host ip@ is available.
This problem occurs each time.

It looks like the flash works ok for video less than 10seconds play time.
Any suggestion to correct this .


Have you tried the test libc064.dll?
Title: Re: Flash Plugin Wrapper for eComStation Beta 1 available
Post by: CDRWSel on 2012.02.19, 15:05:17
No, where is libc064 test build ?
Title: Re: Flash Plugin Wrapper for eComStation Beta 1 available
Post by: David McKenna on 2012.02.19, 15:42:31
  Here: ftp://ftp.netlabs.org/pub/odin/test/libc064_test_1.zip

  Remove the http://.... for some reason that is added on automatically - very annoying.
Title: Re: Flash Plugin Wrapper for eComStation Beta 1 available
Post by: aschn on 2012.02.19, 16:05:09
David,

  Here: ftp://ftp.netlabs.org/pub/odin/test/libc064_test_1.zip

  Remove the http://.... for some reason that is added on automatically - very annoying.

using the Hyperlink environment for posting URLs works:

Code: [Select]
[url]ftp://ftp.netlabs.org/pub/odin/test/libc064_test_1.zip[/url]

ftp://ftp.netlabs.org/pub/odin/test/libc064_test_1.zip (http://ftp://ftp.netlabs.org/pub/odin/test/libc064_test_1.zip)
Title: Re: Flash Plugin Wrapper for eComStation Beta 1 available
Post by: CDRWSel on 2012.02.19, 16:24:10
Thanks,

I did the test and now, i have the hang at nearly 2 mns of the video.
(before it was nearly 10 to 20 seconds from start)

Cheers/2
Remy

Title: Re: Flash Plugin Wrapper for eComStation Beta 1 available
Post by: abwillis on 2012.02.20, 17:50:33
Remy, which version of Odin are you using?  The SMP issues should be resolved in Odin 0.8.3.  If you are using 0.8.3 and still having the hang... run mpunsafe on the firefox (or seamonkey) executable and try again.  If mpunsafe corrects the problem then a ticket will need to be opened on the issue but I haven't seen the SMP issues here since the change to the GCC compiler (the 0.8.X series).
Andy
Title: Re: Flash Plugin Wrapper for eComStation Beta 1 available
Post by: diver on 2012.02.20, 18:19:33
also make sure you have only the libc063 from the libc064 package installed. a mixed libc063 libc064 leads to problems. and with the libc064 mentioned earlier you don't need old complete libc063 anymore.
Title: Re: Flash Plugin Wrapper for eComStation Beta 1 available
Post by: CDRWSel on 2012.02.20, 19:02:43
I installed all pre-requisits (odin 0.8.3 etc...)

How to use mpunsafe ? I do not know it
Title: Re: Flash Plugin Wrapper for eComStation Beta 1 available
Post by: DougB on 2012.02.20, 19:03:52
Quote
also make sure you don't have only the libc063 from the libc064 package installed. a mixed libc063 libc064 leads to problems. and with the libc064 mentioned earlier you don't need old complete libc063 anymore.

Now that is a very confusing statement.

I am using the libc064 package, overwritten with the contents of libc064_test_1.zip. Overall, it seems to work a LOT better than the original libc064 package. However, it still seems that there is something different about using the old libc063.dll, compared to using the forwarder dll supplied with libc064. That should never be the case since older programs may depend on certain things happening (even if it is a bug). If a program needs some support in the libc064 package, it should be compiled to use libc064, and not libc063, depending on some bug being fixed, because that fixed bug is breaking support for other programs.

I am also using ODIN 0.8.3, which seems to work okay with FLASH 11, however, I just had an "interesting" problem. I viewed a FLASH movie in Firefox. It played well. Then, I used Pronews to look at the news groups (Firefox was still open in the background, and it was not on the page where the FLASH video was). Pronews couldn't access one of the servers (it happens every once in a while), and kept trying, while I looked at the rest. Usually, I can just close Pronews, and it tries again the next time I open it. Today, Pronews would not close, until I killed it. Then, I noticed that only the first, of four, processors was showing any activity. The rest were at 0.0%, which only happens when all but one processor is disabled. That condition persisted until I closed Firefox (and FLASH 11 with it). I never knowingly set FLASH, or Firefox, to use only one processor, and even if I did, past experience shows that it doesn't always use only one processor, it moves around between them.  Now that I started Firefox again, the system is back to using only the first processor. This is not good.
Title: Re: Flash Plugin Wrapper for eComStation Beta 1 available
Post by: DougB on 2012.02.20, 19:17:51
Hmmm. Even MORE interesting:

After I posted the previous message, I left the os2world.com web site, and all processors turned on again. I did not, knowingly use FLASH. When I came back to os2world.com, three of the processors went to 0.0% activity, and stayed there until I left os2world.com. I then closed Firefox, removed the FLASH plugin files, started Firefox again, and came back to os2world.com. All processors showed activity, until I logged in to post this message. Now, it is back to 0.0% on three of the processors.

This gets even stranger. I opened a new tab, and went elsewhere. All processors showed activity. I left that tab open, and came back to os2world.com. Only one processor is active.

Very strange. Anybody know what is going on?
Title: Re: Flash Plugin Wrapper for eComStation Beta 1 available
Post by: abwillis on 2012.02.21, 01:59:19
I installed all pre-requisits (odin 0.8.3 etc...)

How to use mpunsafe ? I do not know it
I mixed the executable name and the operation:
[d:\]e:\OS2TK45\bin\markexe.exe /?
Operating System/2 Executable File Attribute Utility
Version 4.00.004 Oct  4 2001Usage: MARKEXE [/?] [/Q] [FORCE] [NO] [option] filename...
Valid options are:
       <SNIP>
        MPUNSAFE        - multi-processor unsafe application

e.g.:
markexe mpunsafe firefox.exe
I have a copy of markexe from the OS2 Toolkit... I think it is available else-wise but not sure off the top of my head.
Title: Re: Flash Plugin Wrapper for eComStation Beta 1 available
Post by: diver on 2012.02.21, 10:36:14
Hmmm. Even MORE interesting:

After I posted the previous message, I left the os2world.com web site, and all processors turned on again. I did not, knowingly use FLASH. When I came back to os2world.com, three of the processors went to 0.0% activity, and stayed there until I left os2world.com. I then closed Firefox, removed the FLASH plugin files, started Firefox again, and came back to os2world.com. All processors showed activity, until I logged in to post this message. Now, it is back to 0.0% on three of the processors.

This gets even stranger. I opened a new tab, and went elsewhere. All processors showed activity. I left that tab open, and came back to os2world.com. Only one processor is active.

Very strange. Anybody know what is going on?


this has for sure nothing to do with flash. this is a acpi feature, if it's enabled. acpi does that when nothing is happening on the system.
Title: Re: Flash Plugin Wrapper for eComStation Beta 1 available
Post by: CDRWSel on 2012.02.21, 11:58:08
I installed all pre-requisits (odin 0.8.3 etc...)

How to use mpunsafe ? I do not know it
I mixed the executable name and the operation:
[d:\]e:\OS2TK45\bin\markexe.exe /?
Operating System/2 Executable File Attribute Utility
Version 4.00.004 Oct  4 2001Usage: MARKEXE [/?] [/Q] [FORCE] [NO] [option] filename...
Valid options are:
       <SNIP>
        MPUNSAFE        - multi-processor unsafe application

e.g.:
markexe mpunsafe firefox.exe
I have a copy of markexe from the OS2 Toolkit... I think it is available else-wise but not sure off the top of my head.

I found it on ecs 2.0 CD2.
I'll give it a try.
Title: Re: Flash Plugin Wrapper for eComStation Beta 1 available
Post by: miturbide on 2012.02.22, 21:38:23
I just read this on OSNews.

Quote
As discussed in the just released Adobe roadmap for the Flash runtimes, Adobe has been working closely with Google to develop a single modern API for hosting plugins within the browser (one which could replace the current Netscape plugin API being used by the Flash Player). The PPAPI, code-named “Pepper” aims to provide a layer between the plugin and browser that abstracts away differences between browser and operating system implementations.

Because of this work, Adobe has been able to partner with Google in providing a “Pepper” implementation of Flash Player for all x86/64 platforms supported by the Google Chrome browser. Google will begin distributing this new Pepper-based Flash Player as part of Chrome on all platforms, including Linux, later this year.

For Flash Player releases after 11.2, the Flash Player browser plugin for Linux will only be available via the “Pepper” API as part of the Google Chrome browser distribution and will no longer be available as a direct download from Adobe. Adobe will continue to provide security updates to non-Pepper distributions of Flash Player 11.2 on Linux for five years from its release.

Flash Player will continue to support browsers using non-”Pepper” plugin APIs on platforms other than Linux.

We will be providing a debug player implementation of the Flash Player browser plugin on Linux, and will update the whitepaper once we have more details on how it will be distributed.


Link:
http://blogs.adobe.com/flashplayer/2012/02/adobe-and-google-partnering-for-flash-player-on-linux.html (http://blogs.adobe.com/flashplayer/2012/02/adobe-and-google-partnering-for-flash-player-on-linux.html)
Title: Re: Flash Plugin Wrapper for eComStation Beta 1 available
Post by: Pete on 2012.02.27, 02:44:02
Hi All

Finally got around to installing Flash11 here.

I have to agree with Andy that SMP problems seem to be fixed as over the course of several hours of playing "rock" videos on youtube I have not experienced any problems. I seem to recall the record here for playback using Flash10 before a total system hang requiring a reboot was around 2 mins.

Well done to all involved in getting Flash11 working.


@ Remy:

What build of ACPI are you using?

What mainboard chipset is involved?

What kernel version are you using?


Regards

Pete
Title: Re: Flash Plugin Wrapper for eComStation Beta 1 available
Post by: miturbide on 2012.02.27, 03:49:51
I need to do more testing on the apps... What apps are you testing with Flash on eCS?
Title: Re: Flash Plugin Wrapper for eComStation Beta 1 available
Post by: CDRWSel on 2012.02.27, 09:56:40

@ Remy:

What build of ACPI are you using?

What mainboard chipset is involved?

What kernel version are you using?


Regards

Pete

SMP problem is fixed ! (it never works and didn't work on my system yet - the new libc064 (test) improved things a litle like I wrote it making the video play from a few seconds to near 2 minutes but it always hung making my network connection unresponsive (reboot isn't always enough and a full power off/on is mostly required to get my network working again after flash breaks the network connection)

Problem is with eCS 1.2 up to eCS 2.1 (with CD provided acpi) - mainboard is ok and never got any problem under windows session
Mainboard ASUS A8N-SLI Premium BIOS version 1303
http://fr.asus.com/Motherboards/AMD_Socket_939/A8NSLI_Premium/#specifications
Installed Athlon 64 X2 Dual-Core 4400+
nForce4 built-in Gigabit/ MAC with external Marvell PHY MARVELL PCI Gbit LAN controller
(Yukon 88E8001...)

Loaded NVIDIA MAC DRIVER 0.1.2 NVETH$

I'm unable to use eCS under acceptable condition under my newest ASUS mainboard chipset 1136 with i7 950 due to video isn't acceptable (no 16/10 support under panorama with the nvidia 9600gt pci-x video card) and missing video acceleration/dive.

Cheers/2


  
    
Title: Re: Flash Plugin Wrapper for eComStation Beta 1 available
Post by: melf on 2012.02.27, 10:12:40
A general warning:
I have noticed that the different *.wpi- packages with libc and gcc dlls not always exchange the dll:s. So, in spite of running these packages, my old dll:s were still left. (No unlock dialogue was displayed)

I don't know why, but I guess that the *.wpi-packages don't look att the files that really exists in a directory, but rather at what it has in its database. So if I, in some moment I have made manual exchanges of dll's (trying older ones without first de-installing with *.wpi) Warpin thinks that the new ones are still there and take no action.

This is maybee obvious but when trying out different versions of dll's it is easy to forget about the need to use warpin for both install and deinstall or thouroughly check which files you really have.
Title: Re: Flash Plugin Wrapper for eComStation Beta 1 available
Post by: CDRWSel on 2012.02.27, 14:40:20
This is why it is important to check date and size of existing dlls and new ones which sould be installed
- on my system, dlls are those from new packages.
Title: Re: Flash Plugin Wrapper for eComStation Beta 1 available
Post by: Pete on 2012.02.27, 19:12:03
Hi Remy

Looks like your Flash11 problem may be related to the version of ACPI in use - most builds before 3.19.10 are useless on my Asus M2N mainboard using nForce430 chipset. If you have Software Subscription login at Mensys and download the current ACPI package (3.19.15) and see if that helps.

With regard to network problems when using Flash11: maybe you should try a later version of the NVETH driver - 0.1.7 is on the eCS2.1 CD and may make a difference.

As regards video on your newest Asus mainboard: Have you tried SNAP? Obviously it will need to be setup to run in VESA mode (same mode as Panorama) but you should be able to add required resolution using the SNAP utility gamode. exe


Regards

Pete



Title: Re: Flash Plugin Wrapper for eComStation Beta 1 available
Post by: CDRWSel on 2012.02.27, 23:18:53
Hi Remy

Looks like your Flash11 problem may be related to the version of ACPI in use - most builds before 3.19.10 are useless on my Asus M2N mainboard using nForce430 chipset. If you have Software Subscription login at Mensys and download the current ACPI package (3.19.15) and see if that helps.

With regard to network problems when using Flash11: maybe you should try a later version of the NVETH driver - 0.1.7 is on the eCS2.1 CD and may make a difference.

As regards video on your newest Asus mainboard: Have you tried SNAP? Obviously it will need to be setup to run in VESA mode (same mode as Panorama) but you should be able to add required resolution using the SNAP utility gamode. exe


Regards

Pete

Ok, will give a try to latest ACPI (but this is my all day system..)
I tried SNAP but it never worked on the over system with the 9600gt card but I do not know how to set it up in VESA mode (and it hung the system at start up)
     
I check CD2, no drivers...
It looks like CD1 has some drivers but which one is the correct one ?
I found genmac but the WPI contain uses path which do not exist yet and I must not destroy my working all day system...
Any idea about how to get the few needed files to be replaced ? 
   
Cheers/2
Title: Re: Flash Plugin Wrapper for eComStation Beta 1 available
Post by: CDRWSel on 2012.02.27, 23:26:34
Info found here, trying...
http://svn.ecomstation.nl/multimac#NVETH
Title: Re: Flash Plugin Wrapper for eComStation Beta 1 available
Post by: CDRWSel on 2012.02.27, 23:48:00
With latest NVETH, it is worst ... Video playes 10 seconds and network is down
Title: Re: Flash Plugin Wrapper for eComStation Beta 1 available
Post by: Pete on 2012.02.28, 14:09:49
Hi Remy

With latest NVETH, it is worst ... Video playes 10 seconds and network is down


I only suggested the update as 0.1.7 is working fine here...

I do wonder if the new tcpip32.dll included with the latest ACPI will make any difference to this problem.

As regards trying the latest ACPI it is in a Warpin package so should be easy to Uninstall if necessary. I do recommend making a backup of your existing system before installing though so that if the new ACPI does not work you can reinstate the working ACPI files from the backup.

If you do install this ACPI and bootup fails then you would need to boot to a command line (press ALT-F1 keys as boot starts then F2 at the menu) and use the command

    tedit config.sys

to put a REM in front of the PSD=ACPI.PSD line.

Then you should be able to reboot to a working Desktop but only 1 cpu will be active.


To force SNAP to use VESA mode you need to run the command

    gaoption vbe on

in the SNAP directory once SNAP is installed.



Regards

Pete





Title: Re: Flash Plugin Wrapper for eComStation Beta 1 available
Post by: CDRWSel on 2012.02.28, 15:23:36
The tcpip32.dll fix was tested too (same problem)
I'll check how to test new ACPI securely and make a backup of current files.


About SNAP, to be able to set VESA, you should be able to have an os2 command line (but it hung at start up)
Title: Re: Flash Plugin Wrapper for eComStation Beta 1 available
Post by: CDRWSel on 2012.03.01, 20:48:16
Did one of you try the flash on the well known french speedtest link .
http://www.speedtest.net/
Title: Re: Flash Plugin Wrapper for eComStation Beta 1 available
Post by: diver on 2012.03.01, 21:51:18
Did one of you try the flash on the well known french speedtest link .
http://www.speedtest.net/

what should happen there? the page loads and the flash seems to run. even a couple of them are running.
but the speedtest itself does nothing.
Title: Re: Flash Plugin Wrapper for eComStation Beta 1 available
Post by: CDRWSel on 2012.03.01, 22:09:17
You should get a map with nearest speedtest location and be able to select the location followed by a test
The test shows a speed counter (like a car RPM counter) as well a test progression indication for the download and as last test, an upload test...
Once it is done, a resume is displaied.

So it is under a working flash....     
Title: Re: Flash Plugin Wrapper for eComStation Beta 1 available
Post by: CDRWSel on 2012.03.13, 15:08:42
Here is a view about what should be displaied  (image taken under windows)

Title: Re: Flash Plugin Wrapper for eComStation Beta 1 available
Post by: diver on 2012.03.13, 15:22:08
if you want that working, you have to open a ticket at svn.ecomstation.nl/flash10
we can't and we will not monitor all forums to see if there are some open problems.

regards
Silvan
Title: Re: Flash Plugin Wrapper for eComStation Beta 1 available
Post by: Pete on 2012.03.13, 18:11:20
Hi Silvan

I was going to open a bug report about this but someone beat me to it  :-) 

See http://svn.ecomstation.nl/flash10/ticket/52


Regards

Pete
Title: Re: Flash Plugin Wrapper for eComStation Beta 1 available
Post by: CDRWSel on 2012.03.13, 22:26:58
My system is down, mother board or video card is out of order... (no more acces to my disk)
I added this update from my other system under which eCs is not ok  ;)
Title: Re: Flash Plugin Wrapper for eComStation Beta 1 available
Post by: CDRWSel on 2012.03.14, 01:20:22
System repaired.
Wrong contact in the AGP connector (grphic card)

Tested latest flash,same issue... not working in smp (it hung the network and a netstat -r show missing default gateway et hung situation
issue of setpup didn't help = reboot